Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.application3x
Class ApplicationWorkbenchAdvisor

    java.lang.Object
      org.eclipse.ui.application.WorkbenchAdvisor
          org.eclipse.emf.ecp.application3x.ApplicationWorkbenchAdvisor

    public class ApplicationWorkbenchAdvisor

extends org.eclipse.ui.application.WorkbenchAdvisor

The `ApplicationWorkbenchAdvisor` class.

Author:
  Eugen Neufeld

Field Summary

Fields inherited from class org.eclipse.ui.application.WorkbenchAdvisor
`FILL_COOL_BAR, FILL_MENU_BAR, FILL_PROXY, FILL_STATUS_LINE`

Constructor Summary
`ApplicationWorkbenchAdvisor()`

Method Summary
`org.eclipse.ui.application.WorkbenchWindowAdvisor` | `createWorkbenchWindowAdvisor(org.eclipse.ui.application.IWorkbenchWindowConfigurer configurer)`
`org.eclipse.core.runtime.IAdaptable` | `getDefaultPageInput()`
`String` | `getInitialWindowPerspectiveId()`
`void` | `initialize(org.eclipse.ui.application.IWorkbenchConfigurer configurer)`
`void` | `preStartup()`

Methods inherited from class org.eclipse.ui.application.WorkbenchAdvisor
`createWindowContents, eventLoopException, eventLoopIdle, fillActionBars, getComparatorFor, getMainPreferencePageId, getWorkbenchErrorHandler, internalBasicInitialize, isApplicationMenu, openIntro, openWindows, postShutdown, postStartup, postWindowClose, postWindowCreate, postWindowOpen, postWindowRestore, preShutdown, preWindowOpen, preWindowShellClose, restoreState, saveState`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationWorkbenchAdvisor

    public ApplicationWorkbenchAdvisor()

Method Detail

### createWorkbenchWindowAdvisor

    public org.eclipse.ui.application.WorkbenchWindowAdvisor createWorkbenchWindowAdvisor(org.eclipse.ui.application.IWorkbenchWindowConfigurer configurer)

  Overrides:
    `createWorkbenchWindowAdvisor` in class `org.eclipse.ui.application.WorkbenchAdvisor`

### getInitialWindowPerspectiveId

    public String getInitialWindowPerspectiveId()

  Specified by:
    `getInitialWindowPerspectiveId` in class `org.eclipse.ui.application.WorkbenchAdvisor`

### initialize

    public void initialize(org.eclipse.ui.application.IWorkbenchConfigurer configurer)

  Overrides:
    `initialize` in class `org.eclipse.ui.application.WorkbenchAdvisor`

### getDefaultPageInput

    public org.eclipse.core.runtime.IAdaptable getDefaultPageInput()

  Overrides:
    `getDefaultPageInput` in class `org.eclipse.ui.application.WorkbenchAdvisor`

### preStartup

    public void preStartup()

  Overrides:
    `preStartup` in class `org.eclipse.ui.application.WorkbenchAdvisor`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.